Upstream information

CVE-2011-1168 at MITRE

Description

Cross-site scripting (XSS) vulnerability in the KHTMLPart::htmlError function in khtml/khtml_part.cpp in Konqueror in KDE SC 4.4.0 through 4.6.1 allows remote attackers to inject arbitrary web script or HTML via the URI in a URL corresponding to an unavailable web site.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 686652 [RESOLVED / FIXED], 686814 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • kdelibs4 >= 4.3.5-0.6.1
  • kdelibs4-core >= 4.3.5-0.6.1
  • kdelibs4-doc >= 4.3.5-0.6.1
  • libkde4 >= 4.3.5-0.6.1
  • libkde4-32bit >= 4.3.5-0.6.1
  • libkde4-x86 >= 4.3.5-0.6.1
  • libkdecore4 >= 4.3.5-0.6.1
  • libkdecore4-32bit >= 4.3.5-0.6.1
  • libkdecore4-x86 >= 4.3.5-0.6.1
Patchnames:
slessp1-kdelibs4
SUSE Linux Enterprise Server 11 SP2
  • kdelibs4 >= 4.3.5-0.6.1
  • kdelibs4-core >= 4.3.5-0.6.1
  • kdelibs4-doc >= 4.3.5-0.6.1
  • libkde4 >= 4.3.5-0.6.1
  • libkde4-32bit >= 4.3.5-0.6.1
  • libkde4-x86 >= 4.3.5-0.6.1
  • libkdecore4 >= 4.3.5-0.6.1
  • libkdecore4-32bit >= 4.3.5-0.6.1
  • libkdecore4-x86 >= 4.3.5-0.6.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA kdelibs4
SUSE Linux Enterprise Server 11 SP3
  • kdelibs4 >= 4.3.5-0.10.1
  • kdelibs4-core >= 4.3.5-0.10.1
  • kdelibs4-doc >= 4.3.5-0.10.1
  • libkde4 >= 4.3.5-0.10.1
  • libkde4-32bit >= 4.3.5-0.10.1
  • libkde4-x86 >= 4.3.5-0.10.1
  • libkdecore4 >= 4.3.5-0.10.1
  • libkdecore4-32bit >= 4.3.5-0.10.1
  • libkdecore4-x86 >= 4.3.5-0.10.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA kdelibs4
SUSE Linux Enterprise Server 11 SP4
  • kdelibs4 >= 4.3.5-0.14.1
  • kdelibs4-core >= 4.3.5-0.14.1
  • kdelibs4-doc >= 4.3.5-0.14.1
  • libkde4 >= 4.3.5-0.14.1
  • libkde4-32bit >= 4.3.5-0.14.1
  • libkde4-x86 >= 4.3.5-0.14.1
  • libkdecore4 >= 4.3.5-0.14.1
  • libkdecore4-32bit >= 4.3.5-0.14.1
  • libkdecore4-x86 >= 4.3.5-0.14.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA kdelibs4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • kdelibs4-doc >= 4.3.5-0.14.1
  • libkde4-32bit >= 4.3.5-0.14.1
  • libkde4-devel >= 4.3.5-0.14.1
  • libkdecore4-32bit >= 4.3.5-0.14.1
  • libkdecore4-devel >= 4.3.5-0.14.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA kdelibs4-doc
openSUSE 11.2
  • kdelibs4-core-debuginfo >= 4.3.5-0.5.1
  • kdelibs4-debuginfo >= 4.3.5-0.5.1
  • kdelibs4-debugsource >= 4.3.5-0.5.1
  • kdelibs4-doc-debuginfo >= 4.3.5-0.5.1
  • libkde4-debuginfo >= 4.3.5-0.5.1
  • libkde4-debuginfo-32bit >= 4.3.5-0.5.1
  • libkdecore4-debuginfo >= 4.3.5-0.5.1
  • libkdecore4-debuginfo-32bit >= 4.3.5-0.5.1
  • libkdecore4-devel-debuginfo >= 4.3.5-0.5.1
openSUSE 11.2
  • kdelibs4 >= 4.3.5-0.5.1
  • kdelibs4-branding-upstream >= 4.3.5-0.5.1
  • kdelibs4-core >= 4.3.5-0.5.1
  • kdelibs4-doc >= 4.3.5-0.5.1
  • libkde4 >= 4.3.5-0.5.1
  • libkde4-32bit >= 4.3.5-0.5.1
  • libkde4-devel >= 4.3.5-0.5.1
  • libkdecore4 >= 4.3.5-0.5.1
  • libkdecore4-32bit >= 4.3.5-0.5.1
  • libkdecore4-devel >= 4.3.5-0.5.1
openSUSE 11.3
  • kdelibs4-core-debuginfo >= 4.4.4-3.6.1
  • kdelibs4-debuginfo >= 4.4.4-3.6.1
  • kdelibs4-debugsource >= 4.4.4-3.6.1
  • kdelibs4-doc-debuginfo >= 4.4.4-3.6.1
  • libkde4-debuginfo >= 4.4.4-3.6.1
  • libkde4-debuginfo-32bit >= 4.4.4-3.6.1
  • libkdecore4-debuginfo >= 4.4.4-3.6.1
  • libkdecore4-debuginfo-32bit >= 4.4.4-3.6.1
  • libkdecore4-devel-debuginfo >= 4.4.4-3.6.1
  • libksuseinstall1-debuginfo >= 4.4.4-3.6.1
  • libksuseinstall1-debuginfo-32bit >= 4.4.4-3.6.1
openSUSE 11.3
  • kdelibs4 >= 4.4.4-3.6.1
  • kdelibs4-branding-upstream >= 4.4.4-3.6.1
  • kdelibs4-core >= 4.4.4-3.6.1
  • kdelibs4-doc >= 4.4.4-3.6.1
  • libkde4 >= 4.4.4-3.6.1
  • libkde4-32bit >= 4.4.4-3.6.1
  • libkde4-devel >= 4.4.4-3.6.1
  • libkdecore4 >= 4.4.4-3.6.1
  • libkdecore4-32bit >= 4.4.4-3.6.1
  • libkdecore4-devel >= 4.4.4-3.6.1
  • libksuseinstall-devel >= 4.4.4-3.6.1
  • libksuseinstall1 >= 4.4.4-3.6.1
  • libksuseinstall1-32bit >= 4.4.4-3.6.1
openSUSE 11.4
  • kdelibs4 >= 4.6.0-6.15.1
  • kdelibs4-branding-upstream >= 4.6.0-6.15.1
  • kdelibs4-core >= 4.6.0-6.15.1
  • kdelibs4-doc >= 4.6.0-6.15.1
  • libkde4 >= 4.6.0-6.15.1
  • libkde4-32bit >= 4.6.0-6.15.1
  • libkde4-devel >= 4.6.0-6.15.1
  • libkdecore4 >= 4.6.0-6.15.1
  • libkdecore4-32bit >= 4.6.0-6.15.1
  • libkdecore4-devel >= 4.6.0-6.15.1
  • libksuseinstall-devel >= 4.6.0-6.15.1
  • libksuseinstall1 >= 4.6.0-6.15.1
  • libksuseinstall1-32bit >= 4.6.0-6.15.1
SUSE Linux Enterprise Software Development Kit 11 SP1
  • kdelibs4-doc >= 4.3.5-0.6.1
  • libkde4-devel >= 4.3.5-0.6.1
  • libkdecore4-devel >= 4.3.5-0.6.1
sle11-sp1-sdk.s390x
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.ia64
sled11-sp1.x86-64
sles11-sp1.x86-64
sles11-sp1.ppc
sled11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.s390x
sles11-sp1-vmware.x86-64
SAT Patch Nr: 4407
SUSE Linux Enterprise Software Development Kit 11 SP1
  • kdelibs4-doc >= 4.3.5-0.6.1
  • libkde4-32bit >= 4.3.5-0.6.1
  • libkde4-devel >= 4.3.5-0.6.1
  • libkdecore4-32bit >= 4.3.5-0.6.1
  • libkdecore4-devel >= 4.3.5-0.6.1
sle11-sp1-sdk.s390x
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.ia64
sled11-sp1.x86-64
sles11-sp1.x86-64
sles11-sp1.ppc
sled11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.s390x
sles11-sp1-vmware.x86-64
SAT Patch Nr: 4407
SUSE Linux Enterprise Desktop 11 SP1
  • kdelibs4 >= 4.3.5-0.6.1
  • kdelibs4-core >= 4.3.5-0.6.1
  • libkde4 >= 4.3.5-0.6.1
  • libkdecore4 >= 4.3.5-0.6.1
sle11-sp1-sdk.s390x
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.ia64
sled11-sp1.x86-64
sles11-sp1.x86-64
sles11-sp1.ppc
sled11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.s390x
sles11-sp1-vmware.x86-64
SAT Patch Nr: 4407
SUSE Linux Enterprise Desktop 11 SP1
  • kdelibs4 >= 4.3.5-0.6.1
  • kdelibs4-core >= 4.3.5-0.6.1
  • libkde4 >= 4.3.5-0.6.1
  • libkde4-32bit >= 4.3.5-0.6.1
  • libkdecore4 >= 4.3.5-0.6.1
  • libkdecore4-32bit >= 4.3.5-0.6.1
sle11-sp1-sdk.s390x
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.ia64
sled11-sp1.x86-64
sles11-sp1.x86-64
sles11-sp1.ppc
sled11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.s390x
sles11-sp1-vmware.x86-64
SAT Patch Nr: 4407
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • kdelibs4 >= 4.3.5-0.6.1
  • kdelibs4-core >= 4.3.5-0.6.1
  • kdelibs4-doc >= 4.3.5-0.6.1
  • libkde4 >= 4.3.5-0.6.1
  • libkdecore4 >= 4.3.5-0.6.1
sle11-sp1-sdk.s390x
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.ia64
sled11-sp1.x86-64
sles11-sp1.x86-64
sles11-sp1.ppc
sled11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.s390x
sles11-sp1-vmware.x86-64
SAT Patch Nr: 4407
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • kdelibs4 >= 4.3.5-0.6.1
  • kdelibs4-core >= 4.3.5-0.6.1
  • kdelibs4-doc >= 4.3.5-0.6.1
  • libkde4 >= 4.3.5-0.6.1
  • libkde4-32bit >= 4.3.5-0.6.1
  • libkdecore4 >= 4.3.5-0.6.1
  • libkdecore4-32bit >= 4.3.5-0.6.1
sle11-sp1-sdk.s390x
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.ia64
sled11-sp1.x86-64
sles11-sp1.x86-64
sles11-sp1.ppc
sled11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.s390x
sles11-sp1-vmware.x86-64
SAT Patch Nr: 4407
SUSE Linux Enterprise Server 11 SP1
  • kdelibs4 >= 4.3.5-0.6.1
  • kdelibs4-core >= 4.3.5-0.6.1
  • kdelibs4-doc >= 4.3.5-0.6.1
  • libkde4 >= 4.3.5-0.6.1
  • libkde4-x86 >= 4.3.5-0.6.1
  • libkdecore4 >= 4.3.5-0.6.1
  • libkdecore4-x86 >= 4.3.5-0.6.1
sle11-sp1-sdk.s390x
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.ia64
sled11-sp1.x86-64
sles11-sp1.x86-64
sles11-sp1.ppc
sled11-sp1.x86
sles11-sp1-vmware.x86
sles11-sp1.s390x
sles11-sp1-vmware.x86-64
SAT Patch Nr: 4407
openSUSE 11.4
  • kdelibs4 >= 4.6.0-6.15.1
  • kdelibs4-branding-upstream >= 4.6.0-6.15.1
  • kdelibs4-core >= 4.6.0-6.15.1
  • kdelibs4-core-debuginfo >= 4.6.0-6.15.1
  • kdelibs4-debuginfo >= 4.6.0-6.15.1
  • kdelibs4-debugsource >= 4.6.0-6.15.1
  • kdelibs4-doc >= 4.6.0-6.15.1
  • kdelibs4-doc-debuginfo >= 4.6.0-6.15.1
  • libkde4 >= 4.6.0-6.15.1
  • libkde4-32bit >= 4.6.0-6.15.1
  • libkde4-debuginfo >= 4.6.0-6.15.1
  • libkde4-debuginfo-32bit >= 4.6.0-6.15.1
  • libkde4-devel >= 4.6.0-6.15.1
  • libkdecore4 >= 4.6.0-6.15.1
  • libkdecore4-32bit >= 4.6.0-6.15.1
  • libkdecore4-debuginfo >= 4.6.0-6.15.1
  • libkdecore4-debuginfo-32bit >= 4.6.0-6.15.1
  • libkdecore4-devel >= 4.6.0-6.15.1
  • libkdecore4-devel-debuginfo >= 4.6.0-6.15.1
  • libksuseinstall-devel >= 4.6.0-6.15.1
  • libksuseinstall1 >= 4.6.0-6.15.1
  • libksuseinstall1-32bit >= 4.6.0-6.15.1
  • libksuseinstall1-debuginfo >= 4.6.0-6.15.1
  • libksuseinstall1-debuginfo-32bit >= 4.6.0-6.15.1
Patchnames:
kdelibs4


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 kdelibs4 Released
SUSE Linux Enterprise Desktop 11 SP2 kdelibs4 Released
SUSE Linux Enterprise Desktop 11 SP3 kdelibs4 Released
SUSE Linux Enterprise Desktop 11 SP4 kdelibs4 Released
SUSE Linux Enterprise SDK 11 SP1 kdelibs4 Released
SUSE Linux Enterprise SDK 11 SP2 kdelibs4 Released
SUSE Linux Enterprise SDK 11 SP3 kdelibs4 Released
SUSE Linux Enterprise SDK 11 SP4 kdelibs4 Released
SUSE Linux Enterprise Server 11 SP1 kdelibs4 Released
SUSE Linux Enterprise Server 11 SP1 LTSS kdelibs4 Released
SUSE Linux Enterprise Server 11 SP2 kdelibs4 Released
SUSE Linux Enterprise Server 11 SP2 LTSS kdelibs4 Released
SUSE Linux Enterprise Server 11 SP3 kdelibs4 Released
SUSE Linux Enterprise Server 11 SP3 LTSS kdelibs4 Released
SUSE Linux Enterprise Server 11 SP4 kdelibs4 Released
SUSE Linux Enterprise Server for SAP 11 SP2 kdelibs4 Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 kdelibs4 Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 kdelibs4 Released
SUSE Linux Enterprise Server for VMWare 11 SP2 kdelibs4 Released
SUSE Linux Enterprise Server for VMWare 11 SP3 kdelibs4 Released